<?php

namespace Drupal\google_groups;

use Drupal\Core\Config\Entity\ConfigEntityListBuilder;
use Drupal\Core\Entity\EntityInterface;

/**
 * Defines a class to build a listing of google groups entities.
 *
 * @see \Drupal\google_groups\Entity\GoogleGroups
 */
class GoogleGroupsListBuilder extends ConfigEntityListBuilder {

  /**
   * {@inheritdoc}
   */
  public function getDefaultOperations(EntityInterface $entity) {
    $operations = parent::getDefaultOperations($entity);
    if (isset($operations['edit'])) {
      $operations['edit']['weight'] = 30;
    }
    return $operations;
  }

  /**
   * {@inheritdoc}
   */
  public function buildHeader() {    
    $header['name'] = t('Group Name');
    $header['account'] = t('Account Form');
    return $header + parent::buildHeader();
  }

  /**
   * {@inheritdoc}
   */
  public function buildRow(EntityInterface $entity) {
    $row['name'] = $entity->get('group_name');
    
    $item_list = [
      '#theme' => 'item_list',
      '#items' => [
        $entity->get('register') ? t('List on form: ').t('Yes') : t('List on form: ').t('No'), 
        $entity->get('default') ? t('Default: ').t('On') : t('Default: ').t('Off'), 
        $entity->get('forced') ? t('Forced: ').t('Yes') : t('Forced: ').t('No')]
    ];

    $row['account']['data'] = $item_list;
    return $row + parent::buildRow($entity);
  }
}
